let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "00acdb2aa817048fbe1f91ece18fe7de09762531";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;

#  "channels-nixos-21.05" = {
#    url = "https://github.com/NixOS/nixpkgs/";
#    ref = "nixos-21.05";
#    rev = "88579effa7e88c25087faf6de6388d0cd1738dc0";
#  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "ff377a78794d412a35245e05428c8f95fef3951f";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "a3543230e420f027bb148ad8fe82af2df68f52c6";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.11";
    rev = "697cc8c68ed6a606296efbbe9614c32537078756";
  };
}
